## State evolution
load ../data;
graphics_toolkit fltk;
path(path, '../../../');
plot_state

## Comparison of steady-state convergence rates, to and fro
# 600 time steps
load ../data;
graphics_toolkit fltk;
path(path, '../../../');
plot(1:144,A(121:(120+144),1)-A(121,1),1:144,-interp1(1:240, A(361:600,1), linspace(1,240,144))+A(361,1));
axis tight;
legend('decline (first)','incline (second)');

# 6000 time steps
load ../data;
graphics_toolkit fltk;
path(path, '../../../');
plot(1:1440,A(1201:(1200+1440),1)-A(1201,1),1:1440,-interp1(1:2400, A(3601:6000,1), linspace(1,2400,1440))+A(3601,1));
axis tight;
legend('decline (first)','incline (second)');
